Bug 467960 - No notification when eth# fails to connect
No notification when eth# fails to connect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 16:51 EDT by Andy Lindeberg
Modified: 2009-02-16 15:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 15:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lindeberg 2008-10-21 16:51:02 EDT
On the Network Manager screen between partitioning and package selection, when the user selects an eth interface that is not connected to the internet, anaconda thinks for a while and then dumps them back onto that screen with no indication of why. Far more helpful would be a notification of "Unable to connect to network with eth#" or something similar.
Comment 1 David Cantrell 2008-10-24 01:15:28 EDT
Committed a fix to git:
d5c0a7287fe810c06968687777bdca527a44258e

Will be in the next build.

All I have it doing is telling the user we were unable to configure the interface.  Let me know if the wording can be improved/changed/whatever.
Comment 2 David Cantrell 2008-10-24 11:24:28 EDT
I broke the string freeze, which we shouldn't/don't want to do.

Reverted this fix for now.  Will dump it in anaconda after F-10 is done or we have branched anaconda for F-10.
Comment 3 Bug Zapper 2008-11-25 23:06:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David Cantrell 2008-12-02 13:39:47 EST
Patch committed to git, so the next rawhide build of anaconda should include this fix.

Note You need to log in before you can comment on or make changes to this bug.